﻿Type=Activity
Version=1.90
FullScreen=True
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim scrV As ListView
	Dim pickTextColour As ColorDialog
	Dim pickBgColour As ColorDialog
	Dim pickTimeFormat As InputDialog
End Sub

Sub Activity_Create(FirstTime As Boolean)
	scrV.Initialize("scrV")
	Activity.AddView(scrV,0,0,100%x,100%y)
	createList
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	saveSettings
End Sub

Sub scrV_ItemClick (Position As Int, Value As Object)
	Select Position
		Case 0
			If pickTextColour.Show("Clock Colour","Done","Cancel","",Null) = DialogResponse.POSITIVE Then
				Main.savedSettings.Put("clockColourR",pickTextColour.Red)
				Main.savedSettings.Put("clockColourG",pickTextColour.Green)
				Main.savedSettings.Put("clockColourB",pickTextColour.Blue)
			End If
		Case 1
			Dim lst() As String : lst = Array As String("100%","80%","60%","40%","20%")
			Dim res As Int
			res = InputList(lst,"Clock Transparency",-1)
			Main.savedSettings.Put("textTrans",lst(res).Replace("%",""))
		Case 2
			If pickBgColour.Show("Background Colour","Done","Cancel","",Null) = DialogResponse.POSITIVE Then
				Main.savedSettings.Put("bgColourR",pickBgColour.Red)
				Main.savedSettings.Put("bgColourG",pickBgColour.Green)
				Main.savedSettings.Put("bgColourB",pickBgColour.Blue)
			End If
		Case 3
			If pickTimeFormat.Show("HH = hour (24hr), h = hour (12hr), mm = minutes, ss = seconds, a = am/pm marker","Time Format","Done","Cancel","",Null) = DialogResponse.POSITIVE Then
				Try
					DateTime.TimeFormat = pickTimeFormat.Input
				Catch
					ToastMessageShow("Invalid time format. Please read the instructions.", True)
					Return
				End Try
				Main.savedSettings.Put("timeFormat",pickTimeFormat.Input)
			End If
		Case 4
			Activity.Finish
	End Select
	saveSettings
	createList
End Sub

Sub createList
	pickTextColour.Red = Main.savedSettings.Get("clockColourR")
	pickTextColour.Green = Main.savedSettings.Get("clockColourG")
	pickTextColour.Blue = Main.savedSettings.Get("clockColourB")
	
	pickBgColour.Red = Main.savedSettings.Get("bgColourR")
	pickBgColour.Green = Main.savedSettings.Get("bgColourG")
	pickBgColour.Blue = Main.savedSettings.Get("bgColourB")
	
	pickTimeFormat.Input = Main.savedSettings.Get("timeFormat")
	
	scrV.Clear
	scrV.AddTwoLines("Clock Colour","R: "&Main.savedSettings.Get("clockColourR")&" G: "&Main.savedSettings.Get("clockColourG")&" B: "&Main.savedSettings.Get("clockColourB"))
	scrV.AddTwoLines("Clock Transparency",Main.savedSettings.Get("textTrans")&"%")
	scrV.AddTwoLines("Background Colour","R: "&Main.savedSettings.Get("bgColourR")&" G: "&Main.savedSettings.Get("bgColourG")&" B: "&Main.savedSettings.Get("bgColourB"))
	scrV.AddTwoLines("Time Format",Main.savedSettings.Get("timeFormat"))
	scrV.AddTwoLines("Save Settings","Save and exit")
End Sub

Sub saveSettings
	File.WriteMap(File.DirInternal,"settings.set",Main.savedSettings)
End Sub
